<div class="login-body">
    <div class="col-10 offset-1 col-sm-8 offset-sm-2 col-md-6 offset-md-3 col-lg-4  offset-lg-4 login-sec">
        <h2 class="text-center text-primary">Login </h2>
        <form class="login-form" [formGroup]="loginForm" (ngSubmit)="LogIN(myform)">
            <div class="form-group">
                <label for="UserName">User Name</label>
                <input id="UserName" formControlName="UserName" type="text" class="form-control" placeholder="" [ngClass]="{ 'is-invalid': loginForm.controls.UserName.touched && loginForm.controls.UserName.errors,
                 'is-valid': loginForm.controls.UserName.touched && !loginForm.controls.UserName.errors }">
                <div class="invalid-feedback">
                    Please enter username.
                </div>
            </div>
            <div class="form-group">
                <label for="Password">Password</label>
                <input id="Password" formControlName="Password" type="password" class="form-control" placeholder=""
                    [ngClass]="{ 'is-invalid': loginForm.controls.Password.touched && loginForm.controls.Password.errors,
                'is-valid': loginForm.controls.Password.touched && !loginForm.controls.Password.errors }">
                <div class="invalid-feedback">
                    Please enter password.
                </div>
            </div>
    
    
            <div class="form-group" style="padding-top: 15px;">
    
                <button type="submit" class="btn btn-login btn-primary">Login</button>
            </div>
    
        </form>
    </div>
</div>
